[pacman-dev,3/3] remove mention of file as dependency and from build system

Message ID 20191126212957.29031-3-e5ten.arch@gmail.com
State Deferred
Headers show
Series
  • [pacman-dev,1/3] libmakepkg: use extraction commands instead of file to find archive type
Related show

Commit Message

Ethan Sommer Nov. 26, 2019, 9:29 p.m. UTC
Signed-off-by: Ethan Sommer <e5ten.arch@gmail.com>
---
 build-aux/edit-script.sh.in |  1 -
 configure.ac                | 12 ------------
 meson.build                 |  9 ---------
 scripts/makepkg.sh.in       |  4 +---
 4 files changed, 1 insertion(+), 25 deletions(-)

Patch

diff --git a/build-aux/edit-script.sh.in b/build-aux/edit-script.sh.in
index 661c22d5..6ed563be 100644
--- a/build-aux/edit-script.sh.in
+++ b/build-aux/edit-script.sh.in
@@ -19,7 +19,6 @@  mode=$3
   -e "s|@TEMPLATE_DIR[@]|@TEMPLATE_DIR@|g" \
   -e "s|@DEBUGSUFFIX[@]|@DEBUGSUFFIX@|g" \
   -e "s|@INODECMD[@]|@INODECMD@|g" \
-  -e "s|@FILECMD[@]|@FILECMD@|g" \
   "$input" >"$output"
 
 if [[ $mode ]]; then
diff --git a/configure.ac b/configure.ac
index e59f82e9..137f30e4 100644
--- a/configure.ac
+++ b/configure.ac
@@ -228,18 +228,6 @@  PKG_CHECK_VAR(bashcompdir, [bash-completion], [completionsdir], ,
 PKG_CHECK_MODULES(LIBARCHIVE, [libarchive >= 3.0.0], ,
 	AC_MSG_ERROR([*** libarchive >= 3.0.0 is needed to compile pacman!]))
 
-# Check file for seccomp
-if test "x$with_file_seccomp" = "xauto"; then
-	file_version="$(file --version| sed -n 's/^file-\(.*\)/\1/p')"
-	AX_COMPARE_VERSION([$file_version], [ge], [5.38], [with_file_seccomp=yes])
-fi
-if test "x$with_file_seccomp" = "xyes"; then
-	FILECMD="file -S"
-else
-	FILECMD="file"
-fi
-AC_SUBST(FILECMD)
-
 # Check for OpenSSL
 have_openssl=no
 have_nettle=no
diff --git a/meson.build b/meson.build
index 2c9185a6..f149548d 100644
--- a/meson.build
+++ b/meson.build
@@ -219,19 +219,11 @@  config_h = configure_file(
         configuration : conf)
 add_project_arguments('-include', 'config.h', language : 'c')
 
-filecmd = 'file'
 inodecmd = 'stat -c \'%i %n\''
 strip_binaries = '--strip-all'
 strip_shared = '--strip-unneeded'
 strip_static = '--strip-debug'
 
-file_seccomp = get_option('file-seccomp')
-# meson-git has find_program('file', required: false, version: '>=5.38')
-filever = run_command('sh', '-c', 'file --version | sed -n "s/^file-\(.*\)/\\1/p"').stdout()
-if file_seccomp.enabled() or ( file_seccomp.auto() and filever.version_compare('>= 5.38') )
-  filecmd = 'file -S'
-endif
-
 os = host_machine.system()
 if os.startswith('darwin')
   inodecmd = '/usr/bin/stat -f \'%i %N\''
@@ -266,7 +258,6 @@  substs.set('BUILDSCRIPT', BUILDSCRIPT)
 substs.set('TEMPLATE_DIR', get_option('makepkg-template-dir'))
 substs.set('DEBUGSUFFIX', get_option('debug-suffix'))
 substs.set('INODECMD', inodecmd)
-substs.set('FILECMD', filecmd)
 substs.set('LIBMAKEPKGDIR', LIBMAKEPKGDIR)
 substs.set('STRIP_BINARIES', strip_binaries)
 substs.set('STRIP_SHARED', strip_shared)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 2deb61da..06d36f6b 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -26,15 +26,13 @@ 
 
 # makepkg uses quite a few external programs during its execution. You
 # need to have at least the following installed for makepkg to function:
-#   awk, bsdtar (libarchive), bzip2, coreutils, fakeroot, file, find (findutils),
+#   awk, bsdtar (libarchive), bzip2, coreutils, fakeroot, find (findutils),
 #   gettext, gpg, grep, gzip, sed, tput (ncurses), xz
 
 # gettext initialization
 export TEXTDOMAIN='pacman-scripts'
 export TEXTDOMAINDIR='@localedir@'
 
-# file -i does not work on Mac OSX unless legacy mode is set
-export COMMAND_MODE='legacy'
 # Ensure CDPATH doesn't screw with our cd calls
 unset CDPATH
 # Ensure GREP_OPTIONS doesn't screw with our grep calls